//
//  OfficialAccountsAlertView.m
//  Open
//
//  Created by 雷俊博 on 2019/8/20.
//  Copyright © 2019 黄江涛 . All rights reserved.
//

#import "OfficialAccountsAlertView.h"
#import "Constants.h"
#import "UIColor+Hex.h"

@interface OfficialAccountsAlertView ()

@property (nonatomic, strong)UILabel *lb_title;

@property (nonatomic, strong)UIImageView *img_message;

@property (nonatomic, strong)UIButton *btn_click;

@property (nonatomic, assign)BOOL show;

@end

@implementation OfficialAccountsAlertView
#pragma mark - life cycle
- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [self addSubview:self.lb_title];
        [self addSubview:self.img_message];
        [self addSubview:self.btn_click];
        self.show = YES;
        [self setupUI];
    }
    return self;
}
- (void)setupUI
{
    [self.lb_title mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.offset(16 * WIDTHRADIU);
        make.centerX.equalTo(self);
        make.height.offset(15 * WIDTHRADIU);
    }];
    
    UIImage *image = [UIImage imageNamed:@"TencentTask"];
    CGFloat  scale = image.size.height/image.size.width;
    
    [self.img_message mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.lb_title.mas_bottom).offset(16 * WIDTHRADIU);
        make.centerX.equalTo(self);
        make.width.offset(250 * WIDTHRADIU);
        make.height.offset(250 * WIDTHRADIU * scale);
    }];
    
    [self.btn_click mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(self.img_message.mas_bottom).offset(20 * WIDTHRADIU);
        make.width.offset(230 * WIDTHRADIU);
        make.centerX.equalTo(self);
        make.height.offset(40 * WIDTHRADIU);
    }];
}


#pragma mark - event response
- (void)btnClick:(UIButton *)sender
{
    
    if (self.block) {
        self.block(self.show);
    }
}


#pragma mark - getters and setters
- (UILabel *)lb_title
{
    if (!_lb_title) {
        _lb_title = [[UILabel alloc]init];
        _lb_title.text = @"公众号账号:看看社保";
        _lb_title.font = [UIFont boldSystemFontOfSize:15 * WIDTHRADIU];
        _lb_title.textColor = [UIColor colorWithHex:0x4d4d4d];
        _lb_title.textAlignment = NSTextAlignmentCenter;
    }
    return _lb_title;
}

- (UIImageView *)img_message
{
    if (!_img_message) {
        _img_message = [[UIImageView alloc]init];
        _img_message.image = [UIImage imageNamed:@"TencentTask"];
    }
    return _img_message;
}

- (UIButton *)btn_click
{
    if (!_btn_click) {
        _btn_click = [UIButton buttonWithType:UIButtonTypeCustom];
        _btn_click.backgroundColor = [UIColor colorWithHex:0xfa9504];
        [_btn_click setTitle:@"复制账号并关注" forState:UIControlStateNormal];
        [_btn_click setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
        _btn_click.titleLabel.font = [UIFont systemFontOfSize:15 * WIDTHRADIU];
        [_btn_click addTarget:self action:@selector(btnClick:) forControlEvents:UIControlEventTouchUpInside];
        _btn_click.layer.cornerRadius = 20 * WIDTHRADIU;
    }
    return _btn_click;
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
