//
//  CTPrizeDetailProcessTableCellContentView.m
//  Open
//
//  Created by 雷俊博 on 2019/9/6.
//  Copyright © 2019 黄江涛 . All rights reserved.
//

#import "CTPrizeDetailProcessTableCellContentView.h"
#import "UIColor+Hex.h"
#import "Constants.h"

@interface CTPrizeDetailProcessTableCellContentView ()

@property (strong, nonatomic)UILabel *infoLabel;
@property (strong, nonatomic)UILabel *dateLabel;

@property (strong, nonatomic)UILabel *infoLabel2;

@property (strong, nonatomic)UIImageView *img_error;

@end

@implementation CTPrizeDetailProcessTableCellContentView
#pragma mark - life cycle
- (instancetype)init
{
    self = [super init];
    if (self) {
        [self addSubview:self.infoLabel];
        [self addSubview:self.img_error];
        [self addSubview:self.dateLabel];
        [self addSubview:self.infoLabel2];
        [self setupUI];
    }
    return self;
}

- (void)setupUI
{
    [self.infoLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.offset(10 * WIDTHRADIU);
        make.left.offset(35 * WIDTHRADIU);
        make.height.offset(15 * WIDTHRADIU);
    }];
    
    [self.img_error mas_makeConstraints:^(MASConstraintMaker *make) {
        make.centerY.equalTo(self.infoLabel);
        make.left.equalTo(self.infoLabel.mas_right).offset(3);
    }];
    
    [self.dateLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.infoLabel);
        make.top.equalTo(self.infoLabel.mas_bottom).offset(5 * WIDTHRADIU);
        make.height.offset(12 * WIDTHRADIU);
    }];
    
    [self.infoLabel2 mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.equalTo(self.infoLabel);
        make.centerY.equalTo(self);
        make.height.offset(15 * WIDTHRADIU);
    }];
}


#pragma mark - public methods
- (void)reloadUIWithData:(NSDictionary *)dic state:(CTListPrizeState)state Index:(NSInteger)index
{
    
    self.state = state;
    self.index = index;
    if (index == 0) {
        self.infoLabel.text = @"奖励已领取";
        self.img_error.image = [UIImage imageNamed:@""];
        
        if (self.state == CTListPrizeStateGiving || self.state == CTListPrizeStateFailure || self.state == CTListPrizeStateReceived) {
              self.dateLabel.text = [dic[@"orderRequestTime"] stringByReplacingOccurrencesOfString:@"/" withString:@"."];
        }else{
              self.dateLabel.text = [dic[@"createTime"] stringByReplacingOccurrencesOfString:@"/" withString:@"."];
            
        }
         self.infoLabel2.text = @"";
    }else if (index == 1){
        self.infoLabel.text = @"奖励发放中";
        self.img_error.image = [UIImage imageNamed:@""];
        self.dateLabel.text = @"预计两小时到账";
        self.infoLabel2.text = @"";
    }else if (index == 2){
        if (self.state == CTListPrizeStateGiving) {
            self.infoLabel.text = @"";
            self.img_error.image = [UIImage imageNamed:@""];
            self.dateLabel.text = @"";
            self.infoLabel2.text = @"奖励到账";
        }else if (self.state == CTListPrizeStateReceived){
            self.infoLabel.text = @"奖励已到账";
            self.img_error.image = [UIImage imageNamed:@""];
            self.dateLabel.text = [dic[@"payTime"] stringByReplacingOccurrencesOfString:@"/" withString:@"."];
            self.infoLabel2.text = @"";
        }else if (self.state == CTListPrizeStateFailure){
            self.infoLabel.text = @"奖励发放失败";
            self.img_error.image = [UIImage imageNamed:@"奖品详情-警示"];
            self.dateLabel.text = @"请确认微信账号是否实名";
            self.infoLabel2.text = @"";
            
        }else{
            self.infoLabel.text = @"";
            self.img_error.image = [UIImage imageNamed:@""];
            self.dateLabel.text = @"";
            self.infoLabel2.text = @"奖励到账";
        }
       
    }
    [self setNeedsDisplay];
}

#pragma mark - getters and setters
- (UILabel *)infoLabel
{
    if (!_infoLabel) {
        _infoLabel = [[UILabel alloc]init];
        _infoLabel.text = @"奖励已领取";
        _infoLabel.textColor = [UIColor colorWithHex:0xfe5733];
        _infoLabel.font = [UIFont systemFontOfSize:15 * WIDTHRADIU];
        _infoLabel.textAlignment = NSTextAlignmentCenter;
    }
    return _infoLabel;
}

- (UIImageView *)img_error
{
    if (!_img_error) {
        _img_error = [[UIImageView alloc]init];
    }
    return _img_error;
}

- (UILabel *)dateLabel
{
    if (!_dateLabel) {
        _dateLabel = [[UILabel alloc]init];
        _dateLabel.text = @"2019.09.02  15:40";
        _dateLabel.textColor = [UIColor colorWithHex:0x808080];
        _dateLabel.font = [UIFont systemFontOfSize:12 * WIDTHRADIU];
        _dateLabel.textAlignment = NSTextAlignmentCenter;
    }
    return _dateLabel;
}

- (UILabel *)infoLabel2
{
    if (!_infoLabel2) {
        _infoLabel2 = [[UILabel alloc]init];
        _infoLabel2.text = @"奖励到账";
        _infoLabel2.textColor = [UIColor colorWithHex:0xb2b2b2];
        _infoLabel2.font = [UIFont systemFontOfSize:15 * WIDTHRADIU];
        _infoLabel2.textAlignment = NSTextAlignmentCenter;
    }
    return _infoLabel2;
}


- (void)drawRect:(CGRect)rect {
    // Drawing code
    
    CGFloat height = self.bounds.size.height;
    
    
    if (self.hasUpLine) {
        
       
        
        if (self.state == CTListPrizeStateGiving || self.state == CTListPrizeStateFailure) {
            
            if (self.index == 2) {
                UIBezierPath *topBezier = [UIBezierPath bezierPath];
                [topBezier moveToPoint:CGPointMake(10 * WIDTHRADIU +7.5, 0)];
                [topBezier addLineToPoint:CGPointMake(10 * WIDTHRADIU +7.5, (height -15)/2.0 + 2.5)];
                
                topBezier.lineWidth = 1.0;
                UIColor *stroke = [UIColor colorWithHex:0x808080];
                [stroke set];
                [topBezier stroke];
            }else{
                UIBezierPath *topBezier = [UIBezierPath bezierPath];
                [topBezier moveToPoint:CGPointMake(10 * WIDTHRADIU +7.5, 0)];
                [topBezier addLineToPoint:CGPointMake(10 * WIDTHRADIU +7.5, (height -15)/2.0 + 2.5)];
                
                topBezier.lineWidth = 1.0;
                UIColor *stroke = [UIColor colorWithHex:0xfe5733];
                [stroke set];
                [topBezier stroke];
            }
           
        }else{
            UIBezierPath *topBezier = [UIBezierPath bezierPath];
            [topBezier moveToPoint:CGPointMake(10 * WIDTHRADIU +7.5, 0)];
            [topBezier addLineToPoint:CGPointMake(10 * WIDTHRADIU +7.5, height/2.0 - 5)];
            
            topBezier.lineWidth = 1.0;
            UIColor *stroke = [UIColor colorWithHex:0xfe5733];
            [stroke set];
            [topBezier stroke];
        }
    }
    
    if (self.currented) {
        
        
        if (self.state == CTListPrizeStateGiving || self.state == CTListPrizeStateFailure) {
            
            if (self.index == 2) {
                UIBezierPath *cicle = [UIBezierPath bezierPathWithArcCenter:CGPointMake(10 * WIDTHRADIU +7.5, height/2) radius:5 startAngle:0 endAngle:(M_PI * 2) clockwise:YES];
                
                cicle.lineWidth = 1.0;
                UIColor *cColor = [UIColor colorWithHex:0x808080];
                [cColor set];
                [cicle fill];
                [cicle stroke];
                
                UIBezierPath *cicle2 = [UIBezierPath bezierPathWithArcCenter:CGPointMake(10 * WIDTHRADIU +7.5, height/2) radius:7.5 startAngle:0 endAngle:(M_PI * 2) clockwise:YES];
                
                cicle2.lineWidth = 1.0;
                UIColor *cColor2 = [UIColor colorWithHex:0x808080];
                [cColor2 set];
                [cicle2 stroke];
            }else{
                UIBezierPath *cicle = [UIBezierPath bezierPathWithArcCenter:CGPointMake(10 * WIDTHRADIU +7.5, height/2) radius:5 startAngle:0 endAngle:(M_PI * 2) clockwise:YES];
                
                cicle.lineWidth = 1.0;
                UIColor *cColor = [UIColor colorWithHex:0xfe5633];
                [cColor set];
                [cicle fill];
                [cicle stroke];
                
                UIBezierPath *cicle2 = [UIBezierPath bezierPathWithArcCenter:CGPointMake(10 * WIDTHRADIU +7.5, height/2) radius:7.5 startAngle:0 endAngle:(M_PI * 2) clockwise:YES];
                
                cicle2.lineWidth = 1.0;
                UIColor *cColor2 = [UIColor colorWithHex:0xfe5633];
                [cColor2 set];
                [cicle2 stroke];
            }
            
        }else{
            UIBezierPath *cicle = [UIBezierPath bezierPathWithArcCenter:CGPointMake(10 * WIDTHRADIU +7.5, height/2) radius:5 startAngle:0 endAngle:(M_PI * 2) clockwise:YES];
            
            cicle.lineWidth = 1.0;
            UIColor *cColor = [UIColor colorWithHex:0xfe5633];
            [cColor set];
            [cicle fill];
            [cicle stroke];
            
            UIBezierPath *cicle2 = [UIBezierPath bezierPathWithArcCenter:CGPointMake(10 * WIDTHRADIU +7.5, height/2) radius:7.5 startAngle:0 endAngle:(M_PI * 2) clockwise:YES];
            
            cicle2.lineWidth = 1.0;
            UIColor *cColor2 = [UIColor colorWithHex:0xfe5633];
            [cColor2 set];
            [cicle2 stroke];
        }
        
        
    }
    
    if (self.hasDownLine) {
        
        UIBezierPath *downBezier = [UIBezierPath bezierPath];
        [downBezier moveToPoint:CGPointMake(10 * WIDTHRADIU +7.5, (height - 15)/2.0 +15 - 2.5)];
        [downBezier addLineToPoint:CGPointMake(10 * WIDTHRADIU +7.5, height)];
        
        downBezier.lineWidth = 1.0;
        UIColor *stroke = [UIColor colorWithHex:0xfe5733];
        [stroke set];
        [downBezier stroke];
    }
}


@end
